# List exam performance

`GET https://api.cademi.com.br/api/v3/reports/exams`

Operation ID: `reports.exams.list` · API v3

Returns aggregate performance metrics for each exam. Use `product_id` to limit the report to a single product.

This report does not include individual answers or user names.

Required permissions: `reports.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `product_id` | query | string | no |  |
| `limit` | query | integer | no |  |
| `cursor` | query | string | no |  |
| `sort` | query | string, one of `id`, `-id` | no |  |

## Responses

### 200

Returns the exam report rows.

Body: `data`: array of ReportRow.

Fields of ReportRow:

| Field | Type | Required | Description |
|---|---|---|---|
| `object` | string, one of `report_row` | yes |  |
| `report` | string | yes | ID of the report in the report catalog. |

### 400

The cursor is invalid or the request contains an unsupported query parameter.

Body: Error.

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 422

The request body or query parameters failed validation.

Body: ValidationFailed.

Full schema: https://cademi.dev/openapi/v3.json
